<?php

namespace app\admin\controller\life;

use app\admin\validate\life\CollegeCoursesValidate;
use app\controller\Curd;
use app\model\CollegeCourses as CollegeCourseModel;
use support\Request;
use support\Response;

class CollegeCoursesController extends Curd
{
    public function __construct()
    {
        $this->model = new CollegeCourseModel();
        $this->validate = true;
        $this->validateClass = new CollegeCoursesValidate();
    }

    /**
     * @Desc 课程列表
     * @Author Gorden
     * @Date 2024/2/26 16:51
     *
     * @param Request $request
     * @return Response
     * @throws \support\exception\BusinessException
     */
    public function select(Request $request): Response
    {
        [$where, $format, $limit, $field, $order] = $this->selectInput($request);
        $where['courses_is_del'] = 0;
        $query = $this->doSelect($where, $field, $order);
        return $this->doFormat($query, $format, $limit);
    }

    /**
     * @Desc 删除课程
     * @Author Gorden
     * @Date 2024/2/26 16:52
     *
     * @param Request $request
     * @return Response
     * @throws \support\exception\BusinessException
     */
    public function delete(Request $request): Response
    {
        $ids = $this->deleteInput($request);
        $this->doSoftDelete($ids, ['courses_is_del' => 1]);

        return json_success('success');
    }
}