<?php

namespace app\admin\validate\life;

use think\Validate;

class FarmGoodsValidate extends Validate
{
    protected $rule = [
        'goods_id' => 'require|integer',
        'goods_name' => 'require|chsDash',
        'goods_img' => 'require|regex:/^[0-9a-zA-Z\.\/]+$/',
        'food_slide' => 'regex:/^[0-9a-zA-Z\.\/\,]+$/',
        'goods_category_id' => 'require|integer',
        'goods_shop_id' => 'require|integer',
        'goods_is_new' => 'integer',
        'goods_price' => 'require|float',
        'goods_sell_num' => 'require|integer',
        'goods_postage_id' => 'require|integer',
        'goods_status' => 'integer',
        'goods_weight' => 'float',
        'goods_storage' => 'chsDash',
        'goods_packaging' => 'chsDash',
        'goods_varieties' => 'chsDash',
        'goods_attr' => 'chsDash',
        'goods_sort' => 'require|integer'
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['goods_name', 'goods_img', 'food_slide', 'goods_category_id', 'goods_shop_id', 'goods_is_new', 'goods_price', 'goods_sell_num', 'goods_postage_id', 'goods_status', 'goods_weight', 'goods_storage', 'goods_packaging', 'goods_varieties', 'goods_attr', 'goods_sort'],
        'update' => ['goods_id', 'goods_name', 'goods_img', 'food_slide', 'goods_category_id', 'goods_shop_id', 'goods_is_new', 'goods_price', 'goods_sell_num', 'goods_postage_id', 'goods_status', 'goods_weight', 'goods_storage', 'goods_packaging', 'goods_varieties', 'goods_attr', 'goods_sort'],
    ];
}